summaryrefslogtreecommitdiffstats
path: root/games/pinball/pinball.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/pinball/pinball.SlackBuild')
-rw-r--r--games/pinball/pinball.SlackBuild27
1 files changed, 11 insertions, 16 deletions
diff --git a/games/pinball/pinball.SlackBuild b/games/pinball/pinball.SlackBuild
index e75b5581f3..88b4f35896 100644
--- a/games/pinball/pinball.SlackBuild
+++ b/games/pinball/pinball.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for pinball
-# Copyright 2015-2016 Hunter Sezen California, USA
+# Copyright 2015-2016, 2018 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,8 +23,8 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=pinball
-VERSION=${VERSION:-0.3.1}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-0.3.4}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -54,7 +54,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -69,35 +69,30 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-patch -Np0 -i $CWD/pinball-0.3.1-cstddef.patch
-patch -Np1 -i $CWD/pinball-0.3.1-hiscore.patch
-patch -Np0 -i $CWD/pinball-0.3.1-lacomment.patch
-patch -Np0 -i $CWD/pinball-0.3.1-strictproto.patch
-patch -Np1 -i $CWD/pinball-0.3.1-sys-ltdl.patch
+patch -p1 < $CWD/pinball-0.3.4-sys-ltdl.patch
+autoreconf -fi
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --bindir=/usr/games \
--libdir=/usr/lib${LIBDIRSUFFIX} \
- --sysconfdir=/etc \
- --localstatedir=/var \
+ --datadir=/usr/share/games \
--disable-sdltest \
--with-x \
--enable-static=no \
--build=$ARCH-slackware-linux
-make -j1
+make
make install DESTDIR=$PKG
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a COPYING ChangeLog INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
-
-# Remove executable flag from some docs
-find $PKG/usr/doc -type f -exec chmod -x {} \;
+cp -a ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL License.txt README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install